BatchDeletePentests - AWS Security Agent

BatchDeletePentests

Deletes one or more pentests from an agent space.

Request Syntax

POST /BatchDeletePentests HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "pentestIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the pentests to delete.

Type: String

Required: Yes

pentestIds

The list of pentest identifiers to delete.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "deleted": [ { "agentSpaceId": "string", "assets": { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "documents": [ { "artifactId": "string", "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "sourceCode": [ { "s3Location": "string" } ] }, "codeRemediationStrategy": "string", "createdAt": "string", "excludeRiskTypes": [ "string" ], "logConfig": { "logGroup": "string", "logStream": "string" }, "networkTrafficConfig": { "customHeaders": [ { "name": "string", "value": "string" } ], "rules": [ { "effect": "string", "networkTrafficRuleType": "string", "pattern": "string" } ] }, "pentestId": "string", "serviceRole": "string", "title": "string", "updatedAt": "string", "vpcConfig": { "securityGroupArns": [ "string" ], "subnetArns": [ "string" ], "vpcArn": "string" } } ], "failed": [ { "pentestId": "string", "reason": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

deleted

The list of pentests that were successfully deleted.

Type: Array of Pentest objects

failed

The list of pentests that failed to delete, including the reason for each failure.

Type: Array of DeletePentestFailure objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: